Bug 72560 - NVidia driver built improper module
NVidia driver built improper module
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: gcc (Show other bugs)
null
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-25 08:51 EDT by Brett Boren
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-25 15:45:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brett Boren 2002-08-25 08:51:26 EDT
Description of Problem:
nvidia drivers fail to build an insertable kernel module on beta "null." insmod
returns that the NVdriver was built by a 2.x compiler and that it cannot be
inserted into a kernel built by a 3.x compiler. 

Version-Release number of selected component (if applicable):


How Reproducible:
Just pull a copy of the lastest nvidia drivers and build them
Comment 1 Nathan G. Grennan 2002-08-25 11:43:46 EDT
This isn't a bug. This is actually a valid warning that wasn't in Limbo beta 1
and 2. You can force it with insmod -f. You can wait till nvidia releases a new
version or you can do the best idea, recompile your kernel and the driver with
gcc296.
Comment 2 Brett Boren 2002-08-25 15:45:24 EDT
Why should it matter? The kernel and the module are both compiled with gcc 3.2?
Why is the error issued implying that the module is built with 2.96?.....
hmmmm..... nevermind. The binary part of the driver is compiled with 2.96 but
the wrapper is compiled with 3.2, right? How do I get 2.96 on this system then?
Comment 3 Jakub Jelinek 2002-08-26 06:51:08 EDT
You have gcc296 installed on your system if you install compat-gcc package.
But you'd need to recompile kernel using that compiler too.
Or you can insmod -f if you think it will work, we of course cannot make
any guarantees about binary only stuff...

Note You need to log in before you can comment on or make changes to this bug.